Subject: bug#13801: closed (Re: bug#13801: [PATCH] Trivial fix for files.el)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 17 Dec 2013 15:11:03 +0000

Your bug report

#13801: [PATCH] Trivial fix for files.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13801: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13801
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13801: [PATCH] Trivial fix for files.el
From: Chong Yidong <[email-masked]>
To: Xue Fuqiao <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Dec 2013 23:10:28 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Xue Fuqiao <[email-masked]> writes:

> I made a minor patch for files.el.  The patch does this:
>
> 1. Improve the doc string for `break-hardlink-on-save';

Thanks, I committed a slightly different fix.

> 2. Remove an unnecessary `buffer-auto-save-file-name'.
>
> - 			       buffer-auto-save-file-name
>   			       (file-readable-p buffer-auto-save-file-name)

This is not unnecessary.  If buffer-auto-save-file-name is nil, the next
line would signal an error, which is undesireable.

Subject: [PATCH] Trivial fix for files.el
From: Xue Fuqiao <[email-masked]>
To: [email-masked]
Date: Sun, 24 Feb 2013 14:33:32 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I made a minor patch for files.el.  The patch does this:

1. Improve the doc string for `break-hardlink-on-save';

2. Remove an unnecessary `buffer-auto-save-file-name'.

*** trunk/lisp/files.el	2013-02-24 06:49:38.358835000 +0800
--- trunk/lisp/files.el.new	2013-02-24 14:23:28.681175258 +0800
*************** See also: `break-hardlink-on-save'."
*** 248,259 ****
    :group 'backup)
  
  (defcustom break-hardlink-on-save nil
!   "Non-nil means when saving a file that exists under several names
! \(i.e., has multiple hardlinks), break the hardlink associated with
! `buffer-file-name' and write to a new file, so that the other
! instances of the file are not affected by the save.
  
! If `buffer-file-name' refers to a symlink, do not break the symlink.
  
  Unlike `file-precious-flag', `break-hardlink-on-save' is not advisory.
  For example, if the directory in which a file is being saved is not
--- 248,262 ----
    :group 'backup)
  
  (defcustom break-hardlink-on-save nil
!   "This variable affect the relation between hardlink(s) and the file.
! Non-nil means when saving a file that exists under several names
! \(i.e., has multiple hardlinks), break the hardlink associated
! with the variable `buffer-file-name' and write to a new file, so
! that the other instances of the file are not affected by the
! save.
  
! If the variable`buffer-file-name' refers to a symlink, do not
! break the symlink.
  
  Unlike `file-precious-flag', `break-hardlink-on-save' is not advisory.
  For example, if the directory in which a file is being saved is not
*************** non-nil, it is called instead of rereadi
*** 5333,5339 ****
        (let* ((revert-buffer-in-progress-p t)
               (auto-save-p (and (not ignore-auto)
  			       (recent-auto-save-p)
- 			       buffer-auto-save-file-name
  			       (file-readable-p buffer-auto-save-file-name)
  			       (y-or-n-p
       "Buffer has been auto-saved recently.  Revert from auto-save file? ")))
--- 5336,5341 ----

*** trunk/lisp/ChangeLog	2013-02-24 06:49:38.358835000 +0800
--- trunk/lisp/ChangeLog.new	2013-02-24 14:27:41.126427073 +0800
***************
*** 1,7 ****
  2013-02-23  Peter Kleiweg  <[email-masked]>
  
  	* progmodes/ps-mode.el (ps-mode-version): Bump to 1.1i.
! 	(ps-mode-octal-region): Use string-make-unibyte.
  
  2013-02-23  Glenn Morris  <[email-masked]>
  
--- 1,12 ----
+ 2013-02-24  Xue Fuqiao  <[email-masked]>
+ 
+ 	* files.el (break-hardlink-on-save): Doc fix.
+ 	(revert-buffer): Remove the unnecessary `buffer-auto-save-file-name'.
+ 
  2013-02-23  Peter Kleiweg  <[email-masked]>
  
  	* progmodes/ps-mode.el (ps-mode-version): Bump to 1.1i.
! 	(ps-mode-octal-region): Use `string-make-unibyte'.
  
  2013-02-23  Glenn Morris  <[email-masked]>

-- 
Best regards, Xue Fuqiao.
http://www.emacswiki.org/emacs/XueFuqiao